# Copyright (c) 2005-2009 oc2pus
# Copyright (c) 2009-2010 Pascal Bleser <pascal.bleser@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to <packman@links2linux.de>

Name:			asunder
Summary:		Graphical CD Ripper and Encoder
Version:		2.1
Release:		0.pm.1.1
License:		GPL
Group:			Productivity/Multimedia/CD/Grabbers
URL:			http://littlesvr.ca/asunder/
Source:			http://littlesvr.ca/asunder/releases/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:	libcddb-devel >= 0.9.5
BuildRequires:	update-desktop-files
Requires:		cdparanoia
Requires:		flac
Requires:		lame
Requires:		libcddb >= 0.9.5
Requires:		mac
Requires:		vorbis-tools
Requires:		wavpack

%description
Asunder is a graphical CD ripper and encoder.

Asunder is a graphical Audio CD ripper and encoder for Linux.

You can use it to save tracks from an Audio CD as any of WAV, MP3,
OGG, FLAC, WavPack, Musepack, AAC, and Monkey's Audio files.

Features
* Can save audio tracks as WAV, MP3, Ogg Vorbis, FLAC, Wavpack,
  Musepack, AAC, and Monkey's audio files
* Uses CDDB to name and tag each track
* Creates M3U playlists
* Can encode to multiple formats in one session
* Simultaneous rip and encode
* Allows for each track to be by a different artist
* Does not require a specific desktop environment


%lang_package

%prep
%setup -q
%{?suse_update_config:%{suse_update_config -f}}

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/locale/ur_PK"

%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing

%find_lang %{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f %{name}.lang

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Jan  4 2011 pascal.bleser@opensuse.org
- update to 2.1:
  * Basque and Urdu translations were added
  * a crash at startup that happened on some systems was fixed
  * a bug where the selected destination folder was lost when the prefs window is open was fixed
  * some tooltips were fixed
  * system umask is now obeyed when creating directories
  * the year for file/directory names and tags is now editable
  * -Y and -Z options are no longer passed to cdparanoia, for better quality rips
* Sat Jul 17 2010 pascal@links2linux.de
- update to 2.0:
  * a Croatian translation was added
  * the Spanish, Hungarian, Portuguese, and Portuguese (Brasil) translations were updated
  * fixes a bug where AAC files were always encoded at lowest quality despite UI selection
* Mon Apr 19 2010 pascal@links2linux.de
- update to 1.9.3:
  * updated Russian and Hungarian translations
  * a bug has been fixed that was introduced in 1.9.2: the Ogg title was switched with the year and some memory was getting corrupted
* Sat Apr 17 2010 pascal@links2linux.de
- update to 1.9.2:
  * a Danish translation was added
  * the Brazilian Portuguese translation was updated
  * a bug that caused a freeze on some systems was fixed along with some usability problems
* Thu Dec 10 2009 toni@links2linux.de
- update to 1.9.1
- split off lang-subpackage
- A Turkish translation
- support for the year in filename format strings
- small usability fix
* Mon Oct 19 2009 toni@links2linux.de
- update to 1.9
- This release adds Arabic, Slovenian, Latvian, and Slovak translations.
- It adds Musepack support, AAC support with the Nero encoder, and
  Monkey's Audio support.
- The CDDB server and port are user-configurable.
- There are some minor usability fixes.
* Sun Nov 30 2008 toni@links2linux.de
- update to 1.6.2
* Mon Sep 15 2008 toni@links2linux.de
- update to 1.6.1
* Sun Jun 29 2008 toni@links2linux.de
- update to 1.6
* Sun Apr 27 2008 toni@links2linux.de
- update to 1.5
* Sun Feb  3 2008 toni@links2linux.de
- update to 1.0.2
* Tue Dec 18 2007 toni@links2linux.de
- update to 1.0
* Sat Oct  6 2007 toni@links2linux.de
- update to 0.9
* Mon Aug 27 2007 toni@links2linux.de
- update to 0.8.1
* Sat Aug 25 2007 toni@links2linux.de
- update to 0.8
* Thu Aug 16 2007 toni@links2linux.de
- update to 0.8b
- new URL
- renamed package to asunder
* Sat Sep 16 2006 toni@links2linux.de
- rebuild for packman
* Fri Sep  8 2006 oc2pus@arcor.de 0.1.0-0.oc2pus.5
- rebuild for SuSE-10.1, added sample config file asunder.conf
* Thu Nov 17 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.4
- rebuild for SuSE-10
* Sun Jul 31 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.3
- compile on SuSE-9.3
- strip binary
* Fri Mar 18 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.2
- added german description/summary
- added menuentry and icon
* Fri Feb 11 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.1
- initial release of rpm
